## python-ara 1.5.7

=== requirements.txt ===
pbr!=2.1.0,>=2.0.0 # Apache-2.0

cliff
requests>=2.14.2

# API server dependencies can be found in setup.cfg extras

## python-ara 1.4.3

=== debian/changelog ===
python-ara (1.4.3-1) unstable; urgency=medium

  * New upstream version
  * d/control:
    - Fix requirements
    - Bump standards version
  * d/patches: Add use-remoteuserautentification-if-external-auth-defined.patch
  * d/rules: Remove --with systemd

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 14 Aug 2020 10:30:28 +0200

python-ara (1.4.1-1) unstable; urgency=medium

  * New upstream version
  * d/control: Fix vcs url

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 25 Jun 2020 18:07:39 +0200

python-ara (1.3.2-1) unstable; urgency=medium

  * Initial release. (Closes: #956111)

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 07 Apr 2020 15:45:22 +0100

=== debian/control ===
Source: python-ara
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-django (>= 2:2.1.5),
 python3-django-cors-headers,
 python3-django-filters,
 python3-django-health-check,
 python3-djangorestframework (>= 3.9.1),
 python3-dynaconf,
 python3-factory-boy,
 python3-pygments,
 python3-requests,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-sphinxcontrib.programoutput,
 python3-tzlocal,
 python3-whitenoise,
 python3-ruamel.yaml,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/ara
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/ara.git
Homepage: https://opendev.org/recordsansible/ara
Rules-Requires-Root: no

Package: python-ara-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: ARA Records Ansible - doc
 ARA saves playbook results to a local or remote
 database by using an Ansible callback plugin
 and provides an API to integrate this data in
 tools and interfaces.
 .
 This package contains the documentation.

Package: ara-server
Architecture: all
Depends:
 adduser,
 python3-ara (= ${binary:Version}),
 python3-django (>= 2:2.1.5),
 python3-django-cors-headers,
 python3-django-filters,
 python3-django-health-check,
 python3-djangorestframework (>= 3.9.1),
 python3-dynaconf,
 python3-pygments,
 python3-tzlocal,
 python3-whitenoise,
 python3-ruamel.yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: ARA Records Ansible - Server
 ARA saves playbook results to a local or remote
 database by using an Ansible callback plugin
 and provides an API to integrate this data in
 tools and interfaces.
 .
 This package provides frontend for ARA service.

Package: ara-client
Architecture: all
Depends:
 python3-ara,
 ansible,
 ${misc:Depends},
 ${python3:Depends},
Description: ARA Records Ansible - Client
 ARA saves playbook results to a local or remote
 database by using an Ansible callback plugin
 and provides an API to integrate this data in
 tools and interfaces.
 .
 This package is ARA client metapackage.

Package: python3-ara
Architecture: all
Depends:
 python3-pbr,
 python3-requests,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-ara-doc,
Description: ARA Records Ansible
 ARA saves playbook results to a local or remote
 database by using an Ansible callback plugin
 and provides an API to integrate this data in
 tools and interfaces.
 .
 This package contains Python library.

## python-ara 1.5.7

=== debian/changelog ===
python-ara (1.5.7-1) unstable; urgency=medium

  * d/control: Bump dynaconf version
  * d/patches:
      - Remove use-remoteuserautentification-if-external-auth-defined.patch
      - Fix install-missing-files.patch
  * New upstream version (Closes: #997651)

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 01 Nov 2021 11:35:18 +0100

## python-ara 1.5.8

=== doc/requirements.txt ===
pbr!=2.1.0,>=2.0.0 # Apache-2.0
sphinx>=1.4
sphinx-rtd-theme
sphinxcontrib-programoutput

# For ara cli's programoutput
cliff

# For ara-manage cli's programoutput, we need to include server extra dependencies from setup.cfg
Django>=2.1.5,<3.0
djangorestframework>=3.9.1
django-cors-headers
django-filter
django-health-check
dynaconf[yaml]
tzlocal
whitenoise
pygments

=== debian/changelog ===
python-ara (1.5.8-1.1ubuntu1) mantic; urgency=medium

  * d/p/use-tzlocal-name-api.patch: Make ara compliant with the tzlocal 4.0 api
    to make it compatible with Django 4.2 (LP: #2022089)

 -- Lena Voytek <lena.voytek@canonical.com>  Thu, 03 Aug 2023 15:12:12 -0700

python-ara (1.5.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:41:24 +0200

python-ara (1.5.8-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 25 May 2022 11:57:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-ara
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
@@ -16,7 +17,7 @@
  python3-django-filters,
  python3-django-health-check,
  python3-djangorestframework (>= 3.9.1),
- python3-dynaconf,
+ python3-dynaconf (>= 3.0.0),
  python3-factory-boy,
  python3-pygments,
  python3-requests,
@@ -56,7 +57,7 @@
  python3-django-filters,
  python3-django-health-check,
  python3-djangorestframework (>= 3.9.1),
- python3-dynaconf,
+ python3-dynaconf (>= 3.0.0),
  python3-pygments,
  python3-tzlocal,
  python3-whitenoise,

=== debian/rules ===
#!/usr/bin/make -f

export ARA_BASE_DIR = /tmp/
export PYBUILD_NAME = ara

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
		PYBUILD_TEST_ARGS="{interpreter} manage.py test -v 2 ara" \
                dh_auto_test

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-ara-doc/usr/share/doc/python-ara-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/ara/ara-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
